summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMaarten van Gompel2015-06-21 12:51:43 +0200
committerMaarten van Gompel2015-06-21 12:51:43 +0200
commit8ed3aafa5c271d1a9d2dc0f821a0c3b0caa108ae (patch)
treea36a82c5f54c7dcf591cf7a56fa924beacfe5e8f
downloadaur-8ed3aafa5c271d1a9d2dc0f821a0c3b0caa108ae.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD37
2 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e60e24b4538
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = timbl-git
+ pkgdesc = Tilburg Memory-Based Learner, implementations of k-nearest neighbour classification
+ pkgver = 1
+ pkgrel = 3
+ url = http://ilk.uvt.nl/timbl
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = libtool
+ makedepends = autoconf
+ depends = gcc-libs
+ depends = libxml2
+ depends = ticcutils
+ provides = timbl
+ conflicts = timbl
+ options = !libtool
+ source = git://github.com/proycon/timbl.git
+ md5sums = SKIP
+
+pkgname = timbl-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b00ef7f9910
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Maarten van Gompel <proycon at anaproy.nl>
+
+_pkgname=timbl
+pkgname=timbl-git
+pkgver=1
+pkgrel=3
+pkgdesc="Tilburg Memory-Based Learner, implementations of k-nearest neighbour classification "
+arch=('i686' 'x86_64')
+url="http://ilk.uvt.nl/timbl"
+license=('GPL')
+depends=('gcc-libs' 'libxml2' 'ticcutils')
+makedepends=('libtool' 'autoconf')
+provides=('timbl')
+conflicts=('timbl')
+options=(!libtool)
+source=("git://github.com/proycon/timbl.git")
+_gitname=("timbl")
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_gitname"
+ git rev-list --count HEAD
+}
+
+build() {
+ cd "$srcdir/$_gitname"
+ bash bootstrap.sh || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$_gitname"
+ make DESTDIR=$pkgdir install
+}
+